=== debian/changelog ===
localehelper (0.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintain in Package Salvaging Team
    Closes: #1092990
  * Secure URI for Homepage
  * Fix watch file
  * Depends: locales | locales-all
    Closes: #839180
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 04 Feb 2025 07:24:56 +0100
