=== debian/control ===
Source: localehelper
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Jonathan Ulrich Horn <debian@autoit4you.de>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libperl-minimumversion-perl,
               locales | locales-all,
               perl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/localehelper
Vcs-Git: https://salsa.debian.org/salvage-team/localehelper.git
Homepage: https://jwilk.net/software/localehelper

Package: localehelper
Architecture: all
Depends: locales | locales-all,
         ${misc:Depends},
         ${perl:Depends}
Description: locale helper tool
 Localehelper is a helper tool for working with locales.
 It can generate locales and (un)set environmental variables
 for internationalization purposes.
