=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+
 %:
 	dh $@
 
@@ -9,9 +12,13 @@
 override_dh_auto_clean:
 	$(MAKE) --directory=doc clean
 	dh_auto_clean
+	cp -a debian/upstream/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).tar.gz.asc ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	prove --verbose
 	dh_auto_test
 endif
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=/usr
