=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://jwilk.net/software/localehelper .*/releases/download/.*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
